# Fedora 17 ships with ruby 1.9, RHEL 7 with ruby 2.0, which use vendorlibdir instead
# of sitelibdir
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%global facter_libdir   %(ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorlibdir"]')
%else
%global facter_libdir   %(ruby -rrbconfig -e 'puts RbConfig::CONFIG["sitelibdir"]')
%endif

# VERSION is subbed out during rake srpm process
%global realversion 1.7.6
%global rpmversion 1.7.6

Summary:        Ruby module for collecting simple facts about a host operating system
Name:           facter
Version:        %{rpmversion}
Release:        2.1%{?dist}
Epoch:          1
Vendor:         %{?_host_vendor}
License:        ASL 2.0
Group:          System Environment/Base
URL:            http://www.puppetlabs.com/puppet/related-projects/%{name}
# Note this     URL will only be valid at official tags from Puppet Labs
Source0:        http://puppetlabs.com/downloads/%{name}/%{name}-%{realversion}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       ruby >= 1.8.5
Requires:       which
# dmidecode and pciutils are not available on all arches
%ifarch %ix86 x86_64 ia64
Requires:       dmidecode
Requires:       pciutils
%endif
Requires:       virt-what
# In Fedora 19+ or RHEL 7+ net-tools is required for interface facts
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
Requires: net-tools
%endif
BuildRequires:  ruby >= 1.8.5

# In Fedora 17+ or RHEL 7+ ruby-rdoc is called rubygem-rdoc
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
BuildRequires:  rubygem-rdoc
%else
BuildRequires:  ruby-rdoc
%endif

%description
Ruby module for collecting simple facts about a host Operating
system. Some of the facts are preconfigured, such as the hostname and the
operating system. Additional facts can be added through simple Ruby scripts

%prep
%setup -q  -n %{name}-%{realversion}

%build

%install
rm -rf %{buildroot}
ruby install.rb --destdir=%{buildroot} --quick --sitelibdir=%{facter_libdir}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/facter
%{facter_libdir}/facter.rb
%{facter_libdir}/facter
%{_mandir}/man8/facter.8.gz
%doc LICENSE README.md


%changelog
* Wed Aug 27 2014 add net-tools dependency <jmontleo@redhat.com> - 1.7.6-2.1
- In Fedora 19+ or RHEL 7+ net-tools is required for interface facts

* Tue Jun 24 2014 Bump release <jmontleo@redhat.com> - 1.7.6-2
- Build for all architectures

* Tue Jun 24 2014 Bump facter to 1.7.6 <jmontleo@redhat.com> - 1.7.6-1
- Build for 1.7.6
